<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: thf_species_trsp.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_e58901c8ee9d69c5bc9ee3298e74c570.html">thermofluid</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">thf_species_trsp.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacethf__species__trsp"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species__trsp.html">thf_species_trsp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:ad63c163ee2650d28c4d1c2226f06efeb"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species__trsp.html#ad63c163ee2650d28c4d1c2226f06efeb">thf_species_trsp::thf_spec_trsp_init</a> (thf, param)</td></tr>
<tr class="separator:ad63c163ee2650d28c4d1c2226f06efeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a7b8c615a5eb604e6fdfe1c213e8a9d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="thf__species__trsp_8f90.html#a4a7b8c615a5eb604e6fdfe1c213e8a9d">init_spec_trsp_mech</a> ()</td></tr>
<tr class="separator:a4a7b8c615a5eb604e6fdfe1c213e8a9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a196860ea434e4951d39ccb3db34dda4a"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species__trsp.html#a196860ea434e4951d39ccb3db34dda4a">thf_species_trsp::thf_spec_trsp_visc</a> (vdf)</td></tr>
<tr class="separator:a196860ea434e4951d39ccb3db34dda4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c0db468d440ce8cb1941f322767c1f0"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="thf__species__trsp_8f90.html#a3c0db468d440ce8cb1941f322767c1f0">update_visc_mech</a> ()</td></tr>
<tr class="separator:a3c0db468d440ce8cb1941f322767c1f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77e36e0db7a294852223da63c6556f52"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species__trsp.html#a77e36e0db7a294852223da63c6556f52">thf_species_trsp::thf_spec_trsp_thermal_diff</a> (vdf, DIFFmol_out)</td></tr>
<tr class="separator:a77e36e0db7a294852223da63c6556f52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b1f8425966a6c04b8ac583b0052b08b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="thf__species__trsp_8f90.html#a8b1f8425966a6c04b8ac583b0052b08b">update_thermal_diff_mech</a> ()</td></tr>
<tr class="separator:a8b1f8425966a6c04b8ac583b0052b08b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a4a7b8c615a5eb604e6fdfe1c213e8a9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a7b8c615a5eb604e6fdfe1c213e8a9d">&#9670;&nbsp;</a></span>init_spec_trsp_mech()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine thf_spec_trsp_init::init_spec_trsp_mech </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="mechanism-orig_8f90.html#abddc9ec560b80d81faa3e7da24867f20">getkovereps()</a>, <a class="el" href="mechanism-orig_8f90.html#a6012a0f3eb7ef17bff0c9af40cf2a073">getmucoeff()</a>, <a class="el" href="mechanism-orig_8f90.html#aaad9e39bf6507d931c41ea95815c88a8">getnspecies()</a>, <a class="el" href="mechanism-orig_8f90.html#a6011e496d4333c14f90c9df7397cb184">getspeciesnames()</a>, and <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="thf__species__trsp_8f90_a4a7b8c615a5eb604e6fdfe1c213e8a9d_cgraph.png" border="0" usemap="#thf__species__trsp_8f90_a4a7b8c615a5eb604e6fdfe1c213e8a9d_cgraph" alt=""/></div>
<map name="thf__species__trsp_8f90_a4a7b8c615a5eb604e6fdfe1c213e8a9d_cgraph" id="thf__species__trsp_8f90_a4a7b8c615a5eb604e6fdfe1c213e8a9d_cgraph">
<area shape="rect" id="node2" href="mechanism-orig_8f90.html#abddc9ec560b80d81faa3e7da24867f20" title="getkovereps" alt="" coords="211,5,305,32"/>
<area shape="rect" id="node3" href="mechanism-orig_8f90.html#a6012a0f3eb7ef17bff0c9af40cf2a073" title="getmucoeff" alt="" coords="215,56,301,83"/>
<area shape="rect" id="node4" href="mechanism-orig_8f90.html#aaad9e39bf6507d931c41ea95815c88a8" title="getnspecies" alt="" coords="212,107,304,133"/>
<area shape="rect" id="node5" href="mechanism-orig_8f90.html#a6011e496d4333c14f90c9df7397cb184" title="getspeciesnames" alt="" coords="196,157,320,184"/>
<area shape="rect" id="node6" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="210,208,306,235"/>
<area shape="rect" id="node7" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="368,201,499,242"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="thf__species__trsp_8f90_a4a7b8c615a5eb604e6fdfe1c213e8a9d_icgraph.png" border="0" usemap="#thf__species__trsp_8f90_a4a7b8c615a5eb604e6fdfe1c213e8a9d_icgraph" alt=""/></div>
<map name="thf__species__trsp_8f90_a4a7b8c615a5eb604e6fdfe1c213e8a9d_icgraph" id="thf__species__trsp_8f90_a4a7b8c615a5eb604e6fdfe1c213e8a9d_icgraph">
<area shape="rect" id="node2" href="namespacethf__species__trsp.html#ad63c163ee2650d28c4d1c2226f06efeb" title="thf_species_trsp::thf\l_spec_trsp_init" alt="" coords="196,39,337,80"/>
<area shape="rect" id="node3" href="namespacethf__species.html#a76deaac3af814b5117f2948f40d1d54b" title="initialize species at location ! " alt="" coords="385,46,556,73"/>
<area shape="rect" id="node4" href="namespacethf__arts.html#a664822ae8b6f94ae8ff7686ffebcd3e9" title="thf_arts::thf_arts\l_thermo_species_init" alt="" coords="613,5,758,47"/>
<area shape="rect" id="node9" href="namespacethf__arts__cf.html#a4a41565d92653ac3002f93aa53bbfacb" title="thf_arts_cf::thf_arts\l_cf_thermo_species_init" alt="" coords="604,71,767,112"/>
<area shape="rect" id="node5" href="namespacearts__func.html#a24f560f380c1df354d954255fdf28072" title="arts_func::arts_register_data" alt="" coords="815,13,1003,39"/>
<area shape="rect" id="node6" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="1051,5,1191,47"/>
<area shape="rect" id="node7" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1239,13,1403,39"/>
<area shape="rect" id="node8" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1451,13,1495,39"/>
<area shape="rect" id="node10" href="namespacearts__cf__func.html#aa030a7aae62b2adec333b630275bf1bc" title="arts_cf_func::arts\l_cf_register_data" alt="" coords="847,71,971,112"/>
<area shape="rect" id="node11" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1057,71,1185,112"/>
<area shape="rect" id="node12" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1289,78,1352,105"/>
</map>
</div>

</div>
</div>
<a id="a8b1f8425966a6c04b8ac583b0052b08b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b1f8425966a6c04b8ac583b0052b08b">&#9670;&nbsp;</a></span>update_thermal_diff_mech()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine thf_spec_trsp_thermal_diff::update_thermal_diff_mech </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecombust__finitechem__utils.html#afebca053cb2d0ab60290b907f09b0f3c">combust_finitechem_utils::combust_finitechem_omegamu()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespacenasapolynomial__m.html#a03524655ec3cfbf6cec4fe5b67f25e3b">nasapolynomial_m::nasapolynomial_cp()</a>, <a class="el" href="namespacethf__species__utils.html#abfe72d0a71e893ebba0f933cb1a86d37">thf_species_utils::thf_spec_free_scalars_yi()</a>, <a class="el" href="namespacethf__species__utils.html#a613b8140812fb4ad20ec4959baaf8cdb">thf_species_utils::thf_spec_get_scalars_yi()</a>, <a class="el" href="namespacethf__species__utils.html#a7f8c035bb15c6ae3921932d0bd8f4f79">thf_species_utils::thf_spec_meanwmix()</a>, and <a class="el" href="namespacethf__species__utils.html#a7153d77d7e817dd87d11fa841fe43e86">thf_species_utils::thf_spec_sum_unity()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="thf__species__trsp_8f90_a8b1f8425966a6c04b8ac583b0052b08b_cgraph.png" border="0" usemap="#thf__species__trsp_8f90_a8b1f8425966a6c04b8ac583b0052b08b_cgraph" alt=""/></div>
<map name="thf__species__trsp_8f90_a8b1f8425966a6c04b8ac583b0052b08b_cgraph" id="thf__species__trsp_8f90_a8b1f8425966a6c04b8ac583b0052b08b_cgraph">
<area shape="rect" id="node2" href="namespacecombust__finitechem__utils.html#afebca053cb2d0ab60290b907f09b0f3c" title="Compute the omega mu (collision integral) needed for computing diffusion and viscosity coefficient..." alt="" coords="263,5,442,61"/>
<area shape="rect" id="node3" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="305,85,401,112"/>
<area shape="rect" id="node5" href="namespacenasapolynomial__m.html#a03524655ec3cfbf6cec4fe5b67f25e3b" title="nasapolynomial_m::nasapolynomial_cp" alt="" coords="228,136,477,163"/>
<area shape="rect" id="node6" href="namespacethf__species__utils.html#abfe72d0a71e893ebba0f933cb1a86d37" title="thf_species_utils::\lthf_spec_free_scalars_yi" alt="" coords="269,187,436,229"/>
<area shape="rect" id="node7" href="namespacethf__species__utils.html#a613b8140812fb4ad20ec4959baaf8cdb" title="thf_species_utils::\lthf_spec_get_scalars_yi" alt="" coords="271,253,434,294"/>
<area shape="rect" id="node9" href="namespacethf__species__utils.html#a7f8c035bb15c6ae3921932d0bd8f4f79" title="thf_species_utils::\lthf_spec_meanwmix" alt="" coords="281,318,424,359"/>
<area shape="rect" id="node10" href="namespacethf__species__utils.html#a7153d77d7e817dd87d11fa841fe43e86" title="thf_species_utils::\lthf_spec_sum_unity" alt="" coords="283,383,422,425"/>
<area shape="rect" id="node4" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="539,78,669,119"/>
<area shape="rect" id="node8" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851" title="scalar_defs::get_scalar" alt="" coords="525,260,683,287"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="thf__species__trsp_8f90_a8b1f8425966a6c04b8ac583b0052b08b_icgraph.png" border="0" usemap="#thf__species__trsp_8f90_a8b1f8425966a6c04b8ac583b0052b08b_icgraph" alt=""/></div>
<map name="thf__species__trsp_8f90_a8b1f8425966a6c04b8ac583b0052b08b_icgraph" id="thf__species__trsp_8f90_a8b1f8425966a6c04b8ac583b0052b08b_icgraph">
<area shape="rect" id="node2" href="namespacethf__species__trsp.html#a77e36e0db7a294852223da63c6556f52" title="thf_species_trsp::thf\l_spec_trsp_thermal_diff" alt="" coords="228,183,389,224"/>
<area shape="rect" id="node3" href="namespacethf__props.html#a10aec799831f3f10b659dec01b805574" title="update molecular diffusivity ! " alt="" coords="437,190,608,217"/>
<area shape="rect" id="node4" href="thf__arts_8f90.html#aedfd06bb4fd0ac8369cb878275cbbf0b" title="prestep1_lm" alt="" coords="691,134,784,161"/>
<area shape="rect" id="node21" href="namespacethf__arts__cf.html#a5e7618f86203498e13c7bf4395e2adbf" title="update molecular diffusivity ! " alt="" coords="661,252,814,293"/>
<area shape="rect" id="node28" href="namespacethf__props.html#aaffb3f52696cf9603cd3385c5d11d381" title="initialize property fields ! &#160;update (cp and wmix), viscosity and diffusivity ! " alt="" coords="656,190,819,217"/>
<area shape="rect" id="node5" href="namespacethf__arts.html#a0b0e7ec0dbbeb3102fbb1929ba680bea" title="procedures once before each time step (lowMach solver)! " alt="" coords="1289,71,1408,112"/>
<area shape="rect" id="node6" href="namespacearts__md__simulation.html#a54c9be9087aaa530302677de8891f76e" title="arts_md_simulation\l::arts_md_prestep1" alt="" coords="1489,5,1624,47"/>
<area shape="rect" id="node8" href="namespacearts__simulation.html#aec55d8335ff12f6f09c546913bdb7882" title="arts_simulation::arts\l_prestep1" alt="" coords="1487,71,1627,112"/>
<area shape="rect" id="node7" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="1713,13,1819,39"/>
<area shape="rect" id="node9" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1713,365,1819,391"/>
<area shape="rect" id="node10" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1923,137,1967,163"/>
<area shape="rect" id="node11" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1914,593,1977,619"/>
<area shape="rect" id="node12" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1902,238,1989,265"/>
<area shape="rect" id="node13" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1911,187,1980,214"/>
<area shape="rect" id="node14" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1911,643,1979,670"/>
<area shape="rect" id="node15" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1897,289,1993,315"/>
<area shape="rect" id="node16" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1899,339,1991,366"/>
<area shape="rect" id="node17" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1917,390,1974,417"/>
<area shape="rect" id="node18" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1908,441,1983,467"/>
<area shape="rect" id="node19" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1896,491,1995,518"/>
<area shape="rect" id="node20" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1917,542,1974,569"/>
<area shape="rect" id="node22" href="arts__cf__molecular__eos_8f90.html#a2fdc2305ca67eeeb0f6c14aafd651e0c" title="update_molecular_eos" alt="" coords="867,281,1019,307"/>
<area shape="rect" id="node23" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="1274,253,1423,295"/>
<area shape="rect" id="node26" href="namespacearts__cf__md__simulation.html#ae7f167627e908c313b7b275ba7a9bf5b" title="arts_cf_md_simulation\l::arts_cf_md_prestep1" alt="" coords="1067,377,1220,419"/>
<area shape="rect" id="node24" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="1477,253,1636,295"/>
<area shape="rect" id="node25" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="1689,253,1843,295"/>
<area shape="rect" id="node27" href="arts__cf_2arts__cf__md_8f90.html#a0054f1ebddc6162b9c87dcfcb332e369" title="simulation_run" alt="" coords="1295,385,1402,411"/>
<area shape="rect" id="node29" href="thf__arts_8f90.html#a32858c8d44529b0a9b7eaff61e31c3cd" title="init_lm_part2" alt="" coords="895,179,991,206"/>
<area shape="rect" id="node36" href="thf__arts__cf_8f90.html#a61c037a545fc793c62ebc02815a0a5f6" title="init_cf_part2" alt="" coords="896,230,989,257"/>
<area shape="rect" id="node30" href="namespacethf__arts.html#ad83aa8f674cbd91f1d9156c78c4745d0" title="initialize thermofluid module (lowMach solver) ! " alt="" coords="1072,179,1215,206"/>
<area shape="rect" id="node31" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="1268,137,1429,163"/>
<area shape="rect" id="node33" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="1283,188,1414,229"/>
<area shape="rect" id="node32" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1684,137,1848,163"/>
<area shape="rect" id="node34" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="1487,188,1627,229"/>
<area shape="rect" id="node35" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1699,188,1833,229"/>
<area shape="rect" id="node37" href="namespacethf__arts__cf.html#ad02588308144b96824c7ebda3a8c5440" title="initialize thermofluid module (compressible) ! " alt="" coords="1075,312,1211,353"/>
<area shape="rect" id="node38" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="1287,319,1411,360"/>
<area shape="rect" id="node39" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="1490,571,1623,612"/>
<area shape="rect" id="node40" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1702,571,1830,612"/>
<area shape="rect" id="node41" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1699,636,1833,677"/>
</map>
</div>

</div>
</div>
<a id="a3c0db468d440ce8cb1941f322767c1f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c0db468d440ce8cb1941f322767c1f0">&#9670;&nbsp;</a></span>update_visc_mech()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine thf_spec_trsp_visc::update_visc_mech </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecombust__finitechem__utils.html#afebca053cb2d0ab60290b907f09b0f3c">combust_finitechem_utils::combust_finitechem_omegamu()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespacethf__species__utils.html#abfe72d0a71e893ebba0f933cb1a86d37">thf_species_utils::thf_spec_free_scalars_yi()</a>, <a class="el" href="namespacethf__species__utils.html#a613b8140812fb4ad20ec4959baaf8cdb">thf_species_utils::thf_spec_get_scalars_yi()</a>, and <a class="el" href="namespacethf__species__utils.html#a7153d77d7e817dd87d11fa841fe43e86">thf_species_utils::thf_spec_sum_unity()</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="thf__species__trsp_8f90_a3c0db468d440ce8cb1941f322767c1f0_cgraph.png" border="0" usemap="#thf__species__trsp_8f90_a3c0db468d440ce8cb1941f322767c1f0_cgraph" alt=""/></div>
<map name="thf__species__trsp_8f90_a3c0db468d440ce8cb1941f322767c1f0_cgraph" id="thf__species__trsp_8f90_a3c0db468d440ce8cb1941f322767c1f0_cgraph">
<area shape="rect" id="node2" href="namespacecombust__finitechem__utils.html#afebca053cb2d0ab60290b907f09b0f3c" title="Compute the omega mu (collision integral) needed for computing diffusion and viscosity coefficient..." alt="" coords="184,5,363,61"/>
<area shape="rect" id="node3" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="225,85,321,112"/>
<area shape="rect" id="node5" href="namespacethf__species__utils.html#abfe72d0a71e893ebba0f933cb1a86d37" title="thf_species_utils::\lthf_spec_free_scalars_yi" alt="" coords="190,137,357,178"/>
<area shape="rect" id="node6" href="namespacethf__species__utils.html#a613b8140812fb4ad20ec4959baaf8cdb" title="thf_species_utils::\lthf_spec_get_scalars_yi" alt="" coords="192,202,355,243"/>
<area shape="rect" id="node8" href="namespacethf__species__utils.html#a7153d77d7e817dd87d11fa841fe43e86" title="thf_species_utils::\lthf_spec_sum_unity" alt="" coords="204,267,343,309"/>
<area shape="rect" id="node4" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="424,78,555,119"/>
<area shape="rect" id="node7" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851" title="scalar_defs::get_scalar" alt="" coords="411,209,568,236"/>
</map>
</div>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="thf__species__trsp_8f90_a3c0db468d440ce8cb1941f322767c1f0_icgraph.png" border="0" usemap="#thf__species__trsp_8f90_a3c0db468d440ce8cb1941f322767c1f0_icgraph" alt=""/></div>
<map name="thf__species__trsp_8f90_a3c0db468d440ce8cb1941f322767c1f0_icgraph" id="thf__species__trsp_8f90_a3c0db468d440ce8cb1941f322767c1f0_icgraph">
<area shape="rect" id="node2" href="namespacethf__species__trsp.html#a196860ea434e4951d39ccb3db34dda4a" title="thf_species_trsp::thf\l_spec_trsp_visc" alt="" coords="184,183,325,224"/>
<area shape="rect" id="node3" href="namespacethf__props.html#a621c3bdafd983e6b461cf06e5d778375" title="update molecular viscosity ! " alt="" coords="373,190,549,217"/>
<area shape="rect" id="node4" href="thf__arts_8f90.html#aedfd06bb4fd0ac8369cb878275cbbf0b" title="prestep1_lm" alt="" coords="632,134,725,161"/>
<area shape="rect" id="node21" href="namespacethf__arts__cf.html#ae4553120c2574e51381a7492a577ff41" title="update molecular viscosity ! " alt="" coords="602,252,755,293"/>
<area shape="rect" id="node28" href="namespacethf__props.html#aaffb3f52696cf9603cd3385c5d11d381" title="initialize property fields ! &#160;update (cp and wmix), viscosity and diffusivity ! " alt="" coords="597,190,760,217"/>
<area shape="rect" id="node5" href="namespacethf__arts.html#a0b0e7ec0dbbeb3102fbb1929ba680bea" title="procedures once before each time step (lowMach solver)! " alt="" coords="1231,71,1349,112"/>
<area shape="rect" id="node6" href="namespacearts__md__simulation.html#a54c9be9087aaa530302677de8891f76e" title="arts_md_simulation\l::arts_md_prestep1" alt="" coords="1431,5,1565,47"/>
<area shape="rect" id="node8" href="namespacearts__simulation.html#aec55d8335ff12f6f09c546913bdb7882" title="arts_simulation::arts\l_prestep1" alt="" coords="1428,71,1568,112"/>
<area shape="rect" id="node7" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="1654,13,1761,39"/>
<area shape="rect" id="node9" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1654,365,1761,391"/>
<area shape="rect" id="node10" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1865,137,1909,163"/>
<area shape="rect" id="node11" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1855,593,1918,619"/>
<area shape="rect" id="node12" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1843,238,1930,265"/>
<area shape="rect" id="node13" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1852,187,1921,214"/>
<area shape="rect" id="node14" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1853,643,1921,670"/>
<area shape="rect" id="node15" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1839,289,1935,315"/>
<area shape="rect" id="node16" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1841,339,1933,366"/>
<area shape="rect" id="node17" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1858,390,1915,417"/>
<area shape="rect" id="node18" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1849,441,1924,467"/>
<area shape="rect" id="node19" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1837,491,1936,518"/>
<area shape="rect" id="node20" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1858,542,1915,569"/>
<area shape="rect" id="node22" href="arts__cf__molecular__eos_8f90.html#a2fdc2305ca67eeeb0f6c14aafd651e0c" title="update_molecular_eos" alt="" coords="808,281,960,307"/>
<area shape="rect" id="node23" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="1215,253,1365,295"/>
<area shape="rect" id="node26" href="namespacearts__cf__md__simulation.html#ae7f167627e908c313b7b275ba7a9bf5b" title="arts_cf_md_simulation\l::arts_cf_md_prestep1" alt="" coords="1008,377,1161,419"/>
<area shape="rect" id="node24" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="1419,253,1577,295"/>
<area shape="rect" id="node25" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="1631,253,1784,295"/>
<area shape="rect" id="node27" href="arts__cf_2arts__cf__md_8f90.html#a0054f1ebddc6162b9c87dcfcb332e369" title="simulation_run" alt="" coords="1237,385,1343,411"/>
<area shape="rect" id="node29" href="thf__arts_8f90.html#a32858c8d44529b0a9b7eaff61e31c3cd" title="init_lm_part2" alt="" coords="836,179,932,206"/>
<area shape="rect" id="node36" href="thf__arts__cf_8f90.html#a61c037a545fc793c62ebc02815a0a5f6" title="init_cf_part2" alt="" coords="837,230,931,257"/>
<area shape="rect" id="node30" href="namespacethf__arts.html#ad83aa8f674cbd91f1d9156c78c4745d0" title="initialize thermofluid module (lowMach solver) ! " alt="" coords="1013,179,1156,206"/>
<area shape="rect" id="node31" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="1209,137,1371,163"/>
<area shape="rect" id="node33" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="1225,188,1355,229"/>
<area shape="rect" id="node32" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1625,137,1789,163"/>
<area shape="rect" id="node34" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="1428,188,1568,229"/>
<area shape="rect" id="node35" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1640,188,1775,229"/>
<area shape="rect" id="node37" href="namespacethf__arts__cf.html#ad02588308144b96824c7ebda3a8c5440" title="initialize thermofluid module (compressible) ! " alt="" coords="1017,312,1153,353"/>
<area shape="rect" id="node38" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="1228,319,1352,360"/>
<area shape="rect" id="node39" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="1431,571,1565,612"/>
<area shape="rect" id="node40" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1643,571,1771,612"/>
<area shape="rect" id="node41" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1640,636,1775,677"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
